# Generated by rust2rpm 10
%bcond_without check
%global debug_package %{nil}

%global crate indexmap

Name:           rust-%{crate}
Version:        1.2.0
Release:        2%{?dist}
Summary:        Hash table with consistent order and fast iteration

# Upstream license specification: Apache-2.0/MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/indexmap
Source:         %{crates_source}
# Initial patched metadata
# - Bump quickcheck to 0.9 https://github.com/bluss/indexmap/pull/105
# - Bump rand to 0.7
Patch0:         indexmap-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Hash table with consistent order and fast iteration.
The indexmap is a hash
table where the iteration order of the key-value pairs is independent of the
hash values of the keys. It has the usual hash table functionality, it
preserves insertion order except after removals, and it allows lookup of its
elements by either hash table key or numerical index. A corresponding hash set
type is also provided.
This crate was initially published under the name
ordermap, but it was renamed to indexmap.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-APACHE LICENSE-MIT
%doc README.rst
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages
which use "rayon" feature of "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-1-devel %{_description}

This package contains library source intended for building other packages
which use "serde-1" feature of "%{crate}" crate.

%files       -n %{name}+serde-1-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+test_debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_debug-devel %{_description}

This package contains library source intended for building other packages
which use "test_debug" feature of "%{crate}" crate.

%files       -n %{name}+test_debug-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+test_low_transition_point-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_low_transition_point-devel %{_description}

This package contains library source intended for building other packages
which use "test_low_transition_point" feature of "%{crate}" crate.

%files       -n %{name}+test_low_transition_point-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Sep 13 20:48:24 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-2
- Bump quickcheck to 0.9
- Bump rand to 0.7

* Sun Sep 08 15:34:19 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0

* Sun Sep 01 20:30:16 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 09:41:34 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-4
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-5
- Bump quickcheck back

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-4
- Bump quickcheck to 0.7

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-3
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Mar 25 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Sat Mar 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Initial package
